You are Here:
Linux Lite 4.0 Final has been released. See the Release Announcements Section.




[ SOLVED ] steam not work in 4.0

Author (Read 1159 times)

0 Members and 1 Guest are viewing this topic.

steam not work in 4.0
« on: June 02, 2018, 09:28:36 AM »
 

anastiel

  • New to Forums
  • *
  • 11
    Posts
  • Country: br
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Single core Atom

  • MEMORY: 1Gb

  • VIDEO CARD: AMD Radeon HD 6290
 anastiel  ~  steam
Repairing installation, linking /home/anastiel/.steam/steam to /home/anastiel/.local/share/Steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)
libGL error: unable to load driver: r600_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: r600
libGL error: unable to load driver: r600_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: r600
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Have solution?
Last Edit: June 07, 2018, 10:58:35 PM by Jerry
 


Re: steam not work in 4.0
« Reply #1 on: June 02, 2018, 09:39:38 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6219
    Posts
  • Country: nz
  • Reputation: 564
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
For your hardware, you might need to run:

Code: [Select]
LIBGL_DRI3_DISABLE=1 steam
from a terminal.
Download your free copy of Linux Lite today.

Jerry Bezencon
Linux Lite Creator

Learn to use your emotions to think, not think with your emotions.



 

Re: steam not work in 4.0
« Reply #2 on: June 02, 2018, 02:54:25 PM »
 

anastiel

  • New to Forums
  • *
  • 11
    Posts
  • Country: br
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Single core Atom

  • MEMORY: 1Gb

  • VIDEO CARD: AMD Radeon HD 6290
not work
i deleted this
rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6
rm ~/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1
but not work
 

Re: steam not work in 4.0
« Reply #3 on: June 02, 2018, 03:00:32 PM »
 

anastiel

  • New to Forums
  • *
  • 11
    Posts
  • Country: br
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Single core Atom

  • MEMORY: 1Gb

  • VIDEO CARD: AMD Radeon HD 6290
 anastiel  ~  LIBGL_DRI3_DISABLE=1 steam
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)
libGL error: unable to load driver: r600_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: r600
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
 

Re: steam not work in 4.0
« Reply #4 on: June 02, 2018, 03:07:33 PM »
 

NN

  • a Xubuntu 16.04.4 LTS user
  • Muted
  • Forum Regular
  • *
  • 213
    Posts
  • Country: ru
  • Reputation: 8
  • just a visitor

  • Linux Lite: 1.0.0

  • CPU: Muted

  • MEMORY: 1Gb

  • VIDEO CARD: Muted
Have solution?

As LL 4.0 has become bionic (not xenial any longer) try to install Steam manually from here: https://ubuntu.pkgs.org/18.04/ubuntu-multiverse-i386/steam_1.0.0.54+repack-5ubuntu1_i386.deb.html

No deb-package for x64 so far. But it shouldn't cause any problems with installing the app.
... let the dead bury their dead (Matthew 8:22)
 

Re: steam not work in 4.0
« Reply #5 on: June 03, 2018, 11:18:46 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6219
    Posts
  • Country: nz
  • Reputation: 564
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Completely delete ALL the hidden Steam folders in home and try with my command again.
Download your free copy of Linux Lite today.

Jerry Bezencon
Linux Lite Creator

Learn to use your emotions to think, not think with your emotions.



 

Re: steam not work in 4.0
« Reply #6 on: June 07, 2018, 05:50:50 PM »
 

anastiel

  • New to Forums
  • *
  • 11
    Posts
  • Country: br
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Single core Atom

  • MEMORY: 1Gb

  • VIDEO CARD: AMD Radeon HD 6290
 anastiel  ~  LIBGL_DRI3_DISABLE=1 steam
Setting up Steam content in /home/anastiel/.local/share/Steam
Package libgl1-mesa-dri:i386 needs to be installed
Package libgl1-mesa-glx:i386 needs to be installed
Running Steam on ubuntu 18.04 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)
libGL error: unable to load driver: r600_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: r600
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
 

Re: steam not work in 4.0
« Reply #7 on: June 07, 2018, 06:00:46 PM »
 

anastiel

  • New to Forums
  • *
  • 11
    Posts
  • Country: br
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.8 64bit

  • CPU: Single core Atom

  • MEMORY: 1Gb

  • VIDEO CARD: AMD Radeon HD 6290
Resolv \o steam work

   
Steam ships with its own versions of some libraries (the "Steam Runtime") in an attempt to emulate the Ubuntu 12.04 environment in later versions of Ubuntu.

However, some core libraries included in the Steam Runtime will often conflict with the newer versions of other libraries..

You can work around this by deleting the Steam Runtime versions of these libraries, forcing Steam to fall back to the up-to-date system versions:

find ~/.steam/root/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" \) -print -delete

If that doesn't work, try again and then run this:

find ~/.local/share/Steam/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" \) -print -delete


https://wiki.archlinux.org/index.php/steam#Steam_runtime_issues
 

Re: steam not work in 4.0
« Reply #8 on: June 07, 2018, 11:28:01 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6219
    Posts
  • Country: nz
  • Reputation: 564
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Well done :)
Download your free copy of Linux Lite today.

Jerry Bezencon
Linux Lite Creator

Learn to use your emotions to think, not think with your emotions.



 


Tags: steam 
 


Linux Lite 4.0 Final has been released. See the Release Announcements Section.